# Tarfile created using git
# git clone git://gitorious.org/meego-netbook-ux/meego-panel-zones.git
# git archive --format=tar --prefix=%{name}-%{version}/ %{version} | bzip2 > %{name}-%{version}.tar.bz2
%define tarfile %{name}-%{version}.tar.bz2

Name:          mutter-meego
Version:       0.76.9
Release:       4%{?dist}
Summary:       MeeGo Netbook UX plugin for Mutter

Group:         User Interface/Desktops
License:       GPLv2+
URL:           http://www.meego.com
Source0:       %{tarfile}
Source1:       background-tile.png
Patch0:        mutter-meego-nmn.patch

BuildRequires: dbus-glib-devel
BuildRequires: GConf2-devel
BuildRequires: gnome-menus-devel
BuildRequires: gtk3-devel
BuildRequires: libmx-devel
BuildRequires: libXScrnSaver-devel
BuildRequires: mutter-mbl-devel
BuildRequires: startup-notification-devel
BuildRequires: intltool

BuildRequires: libtool
BuildRequires: gnome-common

Requires: redhat-menus
Requires: mutter-mbl

Provides: mutter-moblin = %{version}
Obsoletes: mutter-moblin < 0.76.0

%description
MeeGo Netbook plugin for Mutter. This is the main gui interface to the 
MeeGo Netboox UX.

%package devel
Summary: Development package for %{name}
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}
Requires: pkgconfig

%description devel
Files for development with %{name}.

%prep
%setup -q
%patch0 -p1 -b .nmn

# Don't run configure from autogen.sh
NOCONFIGURE=yes ./autogen.sh

cp %{SOURCE1} data/theme/panel/background-tile.png

%build
%configure --disable-static --enable-scaled-background --disable-capplet
export LD_AS_NEEDED=1
make %{?_smp_mflags} V=1

%install
rm -rf %{buildroot}
make install DESTDIR=%{buildroot}

#Remove libtool archives.
find %{buildroot} -name '*.la' -exec rm -f {} ';'

# Make directory so we can own it
mkdir %{buildroot}%{_datadir}/mutter-meego/panels

%find_lang mutter-meego-netbook-plugin

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files -f mutter-meego-netbook-plugin.lang
%defattr(-,root,root,-)
%doc COPYING README
%{_sysconfdir}/gconf/schemas/mutter-meego.schemas
%{_bindir}/meego-launch
%{_libdir}/lib*.so.*
%{_libdir}/mutter/plugins/meego-netbook.*
%{_datadir}/%{name}
%dir %{_datadir}/mutter-meego/panels
%{_libexecdir}/meego-app-launches-store

%files devel
%defattr(-,root,root,-)
%{_libdir}/lib*.so
%{_libdir}/pkgconfig/meego-panel.pc
%{_includedir}/libmeego-panel

%changelog
* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.76.9-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Mon Dec  6 2010 Peter Robinson <pbrobinson@gmail.com> 0.76.9-3
- Build against gtk3

* Mon Dec  6 2010 Peter Robinson <pbrobinson@gmail.com> 0.76.9-2
- We want NetworkManager not carrick

* Mon Nov  1 2010 Peter Robinson <pbrobinson@gmail.com> 0.76.9-1
- New 0.76.9 release

* Sat Oct 23 2010 Peter Robinson <pbrobinson@gmail.com> 0.76.5-4
- Own panels directory

* Wed Sep 29 2010 jkeating - 0.76.5-3
- Rebuilt for gcc bug 634757

* Thu Sep 23 2010 Peter Robinson <pbrobinson@gmail.com> 0.76.5-2
- Obsolete mutter-moblin

* Mon Sep  6 2010 Peter Robinson <pbrobinson@gmail.com> 0.76.5-1
- New 0.76.5 upstream release

* Sun Aug  1 2010 Peter Robinson <pbrobinson@gmail.com> 0.76.2-1
- Rename from mutter-moblin to mutter-meego
- New 0.76.2 upstream release

* Sun Jul 11 2010 Peter Robinson <pbrobinson@gmail.com> 0.75.19-1
- New 0.75.19 upstream release

* Mon Jul  5 2010 Peter Robinson <pbrobinson@gmail.com> 0.75.16-3
- Rebuild for new libmx

* Fri Jun 25 2010 Peter Robinson <pbrobinson@gmail.com> 0.75.16-2
- Add libXScrnSaver-devel dep

* Fri Jun 25 2010 Peter Robinson <pbrobinson@gmail.com> 0.75.16-1
- New 0.75.16 upstream release

* Mon May  3 2010 Peter Robinson <pbrobinson@gmail.com> 0.43.8-4
- Use Fedora 13 background rather than Moblin one

* Sun Apr 18 2010 Peter Robinson <pbrobinson@gmail.com> 0.43.8-3
- Fix build with dso linking

* Sun Apr 18 2010 Peter Robinson <pbrobinson@gmail.com> 0.43.8-2
- Add missing dep

* Sun Apr 18 2010 Peter Robinson <pbrobinson@gmail.com> 0.43.8-1
- New 0.43.8 upstream release

* Tue Sep 29 2009 Peter Robinson <pbrobinson@gmail.com> 0.40.1-1
- New 0.40.1 upstream release

* Mon Sep 28 2009 Peter Robinson <pbrobinson@gmail.com> 0.40.0-1
- New 0.40.0 upstream release

* Fri Sep 25 2009 Peter Robinson <pbrobinson@gmail.com> 0.39.5-1
- New 0.39.5 upstream release

* Fri Sep 25 2009 Peter Robinson <pbrobinson@gmail.com> 0.39.4-1
- New 0.39.4 upstream release

* Thu Sep 24 2009 Peter Robinson <pbrobinson@gmail.com> 0.39.3-1
- New 0.39.3 upstream release

* Wed Sep 23 2009 Peter Robinson <pbrobinson@gmail.com> 0.39.2-1
- New 0.39.2 upstream release

* Tue Sep 22 2009 Peter Robinson <pbrobinson@gmail.com> 0.39.1-1
- New 0.39.1 upstream release

* Mon Sep 21 2009 Peter Robinson <pbrobinson@gmail.com> 0.39.0-1
- New 0.39.0 upstream release

* Fri Sep 18 2009 Peter Robinson <pbrobinson@gmail.com> 0.38.3-1
- New 0.38.3 upstream release

* Thu Sep 17 2009 Peter Robinson <pbrobinson@gmail.com> 0.38.2-1
- New 0.38.2 upstream release

* Mon Sep 14 2009 Peter Robinson <pbrobinson@gmail.com> 0.38.0-1
- New 0.38.0 upstream release

* Thu Sep  9 2009 Peter Robinson <pbrobinson@gmail.com> 0.35.5-1
- New 0.35.5 upstream release

* Mon Aug 31 2009 Peter Robinson <pbrobinson@gmail.com> 0.35.4-1
- New 0.35.4 upstream release

* Mon Aug 24 2009 Peter Robinson <pbrobinson@gmail.com> 0.34.3-3
- Require mutter

* Thu Aug 20 2009 Peter Robinson <pbrobinson@gmail.com> 0.34.3-2
- Move a needed file from devel to main package

* Thu Aug 20 2009 Peter Robinson <pbrobinson@gmail.com> 0.34.3-1
- New 0.34.3 upstream release.

* Thu Aug 20 2009 Peter Robinson <pbrobinson@gmail.com> 0.34.2-1
- New 0.34.2 upstream release.

* Tue Aug 18 2009 Peter Robinson <pbrobinson@gmail.com> 0.34.0-1
- New 0.34.0 upstream release.
- Drop bits that have split to sub packages and associated deps

* Fri Aug  7 2009 Peter Robinson <pbrobinson@gmail.com> 0.32.3-1
- New 0.32.3 upstream release, spec file cleanups

* Thu Aug  6 2009 Peter Robinson <pbrobinson@gmail.com> 0.32.2-1
- New 0.32.2 upstream release, add new build requirements

* Thu Jul 23 2009 Peter Robinson <pbrobinson@gmail.com> 0.30.3-1
- Initial packaging
